Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.candy
Class CandyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.biojava.utils.candy.CandyException

All Implemented Interfaces:
  Serializable

    public class CandyException

extends Exception

See Also:
  Serialized Form

Constructor Summary
`CandyException(String message)`
`CandyException(String message, Throwable cause)`
`CandyException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CandyException

    public CandyException(String message)

### CandyException

    public CandyException(Throwable cause)

### CandyException

    public CandyException(String message,
                          Throwable cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD